#PLOT PRODUCTION SUBMERSED PAR MARCH AND MAY

#elevation data

elevation <- read.csv("//zeus/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_march/Sediment_samples/slib_chla_03042015.csv")

#PRODUCTION MARCH

load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/grazing_production_data_paperV4/production_with_PAR_submersed.RData")

EP_pars0304_sort_OOS$production <- P_pixels_OOS
EP_pars0304_sort_WES$production <- P_pixels_WES

EP_pars0304_sort_OOS$production_day <- ((EP_pars0304_sort_OOS$production/6)/720)*24
EP_pars0304_sort_WES$production_day <- ((EP_pars0304_sort_WES$production/6)/720)*24

#PRODUCTION MAY

load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/production_may_june_submersed_par.RData")

#VOEG DATA SAMEN IN 1 DATA FRAME

production_all <- data.frame(cbind(c(P_pixels$production_day,EP_pars0304_sort_OOS$production_day,EP_pars0304_sort_WES$production_day)
                                   ,c(as.character(P_pixels$V2),substr(EP_pars0304_sort_OOS$Customer_Code,1,3),substr(EP_pars0304_sort_WES$Customer_Code,1,3)),
                                   c(rep("May",54),rep("March",162) )))



colnames(production_all)[1] <- "Production"
colnames(production_all)[2] <- "Plot"
colnames(production_all)[3] <- "Month"


production_all$Site <- substr(production_all$Plot,1,2)

production_all$Production <- as.numeric(as.character(production_all$Production))

production_march <- production_all[production_all$Month == "March",]
production_may <- production_all[production_all$Month == "May",]

elevation$Plot <- substr(elevation$Customer.Code,1,3)

elevation_short <- elevation[seq(1, length(elevation$Plot), 3),]

production_elevation <- merge(elevation_short,production_all,by="Plot")

plot(production_elevation$elevation,production_elevation$Production)

cor.test(production_elevation$elevation,production_elevation$Production)

production_elevation <- production_elevation[!is.na(production_elevation$Production),]

production_elevation$Estuary <- c(rep("OOS",14),rep("WES",51),rep("OOS",10),rep("WES",20))

aov.out <- aov(Production ~ Month + Estuary + elevation + Error(Site), data=production_elevation)
summary(aov.out)

posthoc <- TukeyHSD(x=aov.out, 'Month', conf.level=0.95)

aov.out <- aov(Production ~ Site, data=production_march)
summary(aov.out)

aov.out <- aov(Production ~ Site, data=production_may)
summary(aov.out)


min(production_march$Production,na.rm=TRUE)
max(production_march$Production,na.rm=TRUE)
mean(production_march$Production,na.rm=TRUE)
sd(production_march$Production,na.rm=TRUE)

mean(production_may$Production,na.rm=TRUE)
sd(production_may$Production,na.rm=TRUE)

#ALLE DATA IN N PLOT

production_all$Site <- factor(production_all$Site ,
                             levels = c("DO","RA","VI","PA","MI","HE","MO","WA","RI"),ordered = TRUE)

library(grid)
# Create a text
grob_oos <- grobTree(textGrob("Oosterschelde", x=0.17,  y=0.93,
                              gp=gpar(col="black", fontsize=11)))

grob_wes <- grobTree(textGrob("Westerschelde", x=0.7,  y=0.93,
                              gp=gpar(col="black", fontsize=11)))

mytheme <- theme(axis.line = element_line(size = 1, colour = "black"),
                 panel.background = element_rect(fill = "white"))

setwd("//zeus/eds/users/tisjad/Grazing_campaign_2015/Figures/Figures_L&O/")

# Plot production #############################################################################################################

#add value for missing data at complete sites -> remove again in photoshop! to make width of boxplot equal at all sites
production_all$Production[1] <- 100 #dortsman may
production_all$Production[76] <- 100 #rattekaai march
production_all$Production[32] <- 100 #rattekaai may
production_all$Production[45] <- 100 #viane may
production_all$Production[20] <- 100 #molenplaat may
production_all$Production[40] <- 100 #rilland may

tiff("fig2_production_march_may2.tiff",
     width = 5, height = 2.8,units = 'in',res=300)

plotje <- ggplot(aes(y = Production, x = Site, fill = Month), data = production_all) +geom_boxplot(position=position_dodge(width=0.9),outlier.size=0.7) +scale_fill_manual(values=c("gray48","gray94"),limits=c("March","May"),labels=c("March","May")) +ylim(0, 3000)+
  
  geom_vline(xintercept = 3.5, linetype="dotted", 
             color = "gray48", size=0.8)+
  ylab(expression(paste("Production (mg C m"^"-2"," d"^"-1",")"))) +
  theme(axis.text=element_text(size=11,face="bold"),
        axis.title.x=element_text(size=11),axis.title.y=element_text(size=11))+theme(legend.text=element_text(size=11))+theme(legend.title=element_text(size=11))+
  
  annotation_custom(grob_oos) + 
  annotation_custom(grob_wes)+
  theme(plot.margin=unit(c(0.7,0.1,1.2,0.1),"cm"))

print(plotje +mytheme)  

grid.text((paste("+                         Salinity                         -    ")),
          x = unit(.49, "npc"), y = unit(.08, "npc"), just = c("bottom"), 
          gp = gpar(fontsize = 11, col = "black"))

dev.off()

#Plot chl-a ########################################################################################################################

elevation$Site <- substr(elevation$Plot,1,2)

elevation$Month <- "March"

chla_may <- read.csv("//zeus/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Sediment_samples/Chla_malvern_samples/chla_05062015_2.csv")
chla_may$Site <- substr(chla_may$Customer.Code,1,2)

chla_may$Month <- "May"

elevation_info <- data.frame(cbind(as.character(chla_may$Hooglaag),substr(as.character(chla_may$Customer.Code),1,4)))
colnames(elevation_info)[2] <- "Customer.Code"
colnames(elevation_info)[1] <- "Hooglaag"

elevation_info2 <- elevation_info[!duplicated(elevation_info$Customer.Code),]
elevation_info2 <- elevation_info2[-c(55),]

elevation_info2$Hooglaag <- as.character(elevation_info2$Hooglaag)

elevation2 <- merge(elevation,elevation_info2,by="Customer.Code",all.x=TRUE)

elevation2$Hooglaag[1] <- "Laag"

elevation2$Hooglaag <- gsub("Laag","Low",elevation2$Hooglaag)
elevation2$Hooglaag <- gsub("Hoog","High",elevation2$Hooglaag)

chla_may$Hooglaag <- as.character(chla_may$Hooglaag)

chla_may$Hooglaag <- gsub("Laag","Low",chla_may$Hooglaag)
chla_may$Hooglaag <- gsub("Hoog","High",chla_may$Hooglaag)

chla_alldata <- data.frame(rbind(cbind(elevation2$Chla_m2,elevation2$Site,elevation2$Month,elevation2$Hooglaag),cbind(chla_may$Chla_m2,chla_may$Site,chla_may$Month,chla_may$Hooglaag)))
colnames(chla_alldata)[1] <- "Chla_m2"
colnames(chla_alldata)[2] <- "Site"
colnames(chla_alldata)[3] <- "Month"
colnames(chla_alldata)[4] <- "Elevation"
#tiff("Plot3.tiff", width = 4, height = 4, units = 'in', res = 300)

chla_alldata$Chla_m2 <- as.numeric(as.character(chla_alldata$Chla_m2))

#remove empty row
chla_alldata <- chla_alldata[-c(487),]

chla_alldata$Site <- factor(chla_alldata$Site ,
                              levels = c("DO","RA","VI","PA","MI","HE","MO","WA","RI"),ordered = TRUE)

setwd("//zeus/eds/users/tisjad/Grazing_campaign_2015/Files submission grazing paper L&O/")

#ggplot2


tiff("fig1_chla_march_may.tiff",
     width = 5, height = 2.8,units = 'in',res=300)


plotje <- ggplot(aes(y = Chla_m2, x = Site, fill = Elevation), data = chla_alldata) +geom_boxplot(position=position_dodge(width=0.9),outlier.size=0.7) +scale_fill_manual(values=c("gray48","gray94"),limits=c("March","May"),labels=c("March","May")) +ylim(0, 700)+
  
  geom_vline(xintercept = 3.5, linetype="dotted", 
             color = "gray48", size=0.8)+
  ylab(expression(paste("[chl-",italic(a),"+ phaeo] (mg/m"^2,") (obs)"))) +
  theme(axis.text=element_text(size=11,face="bold"),
        axis.title.x=element_text(size=11),axis.title.y=element_text(size=11))+theme(legend.text=element_text(size=11))+theme(legend.title=element_text(size=11))+
  
  annotation_custom(grob_oos) + 
  annotation_custom(grob_wes)+
  theme(plot.margin=unit(c(0.7,0.1,1.2,0.1),"cm"))

print(plotje +mytheme)  

grid.text((paste("+                         Salinity                         -    ")),
          x = unit(.49, "npc"), y = unit(.08, "npc"), just = c("bottom"), 
          gp = gpar(fontsize = 11, col = "black"))


dev.off()


tiff("fig1_chla__elevation.tiff",
     width = 5, height = 2.8,units = 'in',res=300)


plotje <- ggplot(aes(y = Chla_m2, x = Site, fill = Elevation), data = chla_alldata) +geom_boxplot(position=position_dodge(width=0.9),outlier.size=0.7) +scale_fill_manual(values=c("gray48","gray94"),limits=c("High","Low"),labels=c("High","Low")) +ylim(0, 700)+
  
  geom_vline(xintercept = 3.5, linetype="dotted", 
             color = "gray48", size=0.8)+
  ylab(expression(paste("[chl-",italic(a),"+ phaeo] (mg/m"^2,") (obs)"))) +
  theme(axis.text=element_text(size=11,face="bold"),
        axis.title.x=element_text(size=11),axis.title.y=element_text(size=11))+theme(legend.text=element_text(size=11))+theme(legend.title=element_text(size=11))+
  
  annotation_custom(grob_oos) + 
  annotation_custom(grob_wes)+
  theme(plot.margin=unit(c(0.7,0.1,1.2,0.1),"cm"))

print(plotje +mytheme)  

grid.text((paste("+                         Salinity                         -    ")),
          x = unit(.49, "npc"), y = unit(.08, "npc"), just = c("bottom"), 
          gp = gpar(fontsize = 11, col = "black"))


dev.off()

combined <- data.frame(cbind(c("DO","HE","MI","PA","RI","WA","VI","RA","MO"),c("OOS","WES","WES","WES","WES",
                                                              "WES","OOS","OOS","WES")))

colnames(combined)[1] <- "Site"
colnames(combined)[2] <- "Estuary"


chla_all <- merge(combined,chla_alldata,by="Site")

colnames(chla_all)

aov.out <- aov(Chla_m2 ~ Month + Estuary + Elevation + Estuary*Elevation, data=chla_all)
summary(aov.out)


posthoc <- TukeyHSD(aov.out)



