
#PLOT BIOMASSA WITH SAME LAY-OUT AS CHL-A AND PRODUCTION

load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_plots_najaar_easwes_sep_coef.RData")

require(doBy)

library(grid)

biomass_plot <- summaryBy(AFDWmg_m2 ~ REC_ID +Site , data = benthos_grazing_diet_no_na,
                          FUN = c(sum) )

biomass_plot$Site <- gsub("Rattenkaai","Rattekaai",biomass_plot$Site)

biomass_plot$Site <- substr(biomass_plot$Site,1,2)
biomass_plot$Site <- toupper(biomass_plot$Site)

biomass_plot <- rbind(biomass_plot,c("NA","MI","NA"))

#ALLE DATA IN N PLOT

biomass_plot$Site <- factor(biomass_plot$Site ,
                              levels = c("DO","RA","VI","PA","MI","HE","MO","WA","RI"),ordered = TRUE)
biomass_plot$AFDWmg_m2.sum <- as.numeric(biomass_plot$AFDWmg_m2.sum)
biomass_plot$basin <- c(rep("OOS",7),rep("WES",2),rep("OOS",7),rep("WES",2),rep("OOS",14),rep("WES",5),rep("OOS",7),rep("WES",4),
                        rep("OOS",11),rep("WES",7),rep("OOS",5),rep("WES",3))
aov.out <- aov(AFDWmg_m2.sum ~ Site, data=biomass_plot)
summary(aov.out)

aov.out <- aov(AFDWmg_m2.sum ~ basin + Error(Site), data=biomass_plot)
summary(aov.out)

mean(biomass_plot$AFDWmg_m2.sum,na.rm=TRUE)
sd(biomass_plot$AFDWmg_m2.sum,na.rm=TRUE)

quantile(biomass_plot$AFDWmg_m2.sum, probs = 0.05, na.rm = TRUE)
quantile(biomass_plot$AFDWmg_m2.sum, probs = 0.95, na.rm = TRUE)

     

library(grid)
# Create a text
grob_oos <- grobTree(textGrob("Oosterschelde", x=0.135,  y=0.93,
                              gp=gpar(col="black", fontsize=11)))

grob_wes <- grobTree(textGrob("Westerschelde", x=0.7,  y=0.93,
                              gp=gpar(col="black", fontsize=11)))

mytheme <- theme(axis.line = element_line(size = 1, colour = "black"),
                 panel.background = element_rect(fill = "white"))
# Plot

mytheme <- theme(axis.line = element_line(size = 1, colour = "black"),
                 panel.background = element_rect(fill = "white"))

plain <- function(x,...) {
  format(x, ..., scientific = FALSE, trim = TRUE)
}

setwd("//zeus/eds/users/tisjad/Grazing_campaign_2015/Figures/Figures_L&O/")
tiff("fig3_macrofauna_site.tiff",
     width = 5, height = 2.8,units = 'in',res=300)

plotje <- ggplot(aes(y = AFDWmg_m2.sum, x = Site), data = biomass_plot) +geom_boxplot(fill="gray48",position=position_dodge(width=0.9),outlier.size=0.7) + 
  scale_y_log10(labels=plain,breaks=c(0.01,0.1,1,10,100,1000,10000,100000,1000000)) +
  geom_vline(xintercept = 3.5, linetype="dotted", 
             color = "gray48", size=0.8)+
  ylab(expression(paste("AFDW (mg m"^"-2",")"))) +
  theme(axis.text=element_text(size=11,face="bold"),
        axis.title.x=element_text(size=11),axis.title.y=element_text(size=11))+theme(legend.text=element_text(size=11))+theme(legend.title=element_text(size=11))+
  
  annotation_custom(grob_oos) + 
  annotation_custom(grob_wes)+
  theme(plot.margin=unit(c(0.7,0.1,1.2,0.1),"cm"))

 
  print(plotje +mytheme)  

  grid.text((paste("                        +                            Salinity                            -")),
            x = unit(.49, "npc"), y = unit(.08, "npc"), just = c("bottom"), 
            gp = gpar(fontsize = 11, col = "black"))
  

dev.off()








