
#STACKED BAR PLOT OF MACROFAUNA BIOMASS AND SPECIES COMPOSITION

setwd("//zeus/eds/users/tisjad/Grazing_campaign_2015/Files submission grazing paper L&O/")

biomass_species <- read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/biomass_plots2015_dominant_species.csv")

colnames(biomass_species)[3] <- "species_full"

biomass_species$Species <- c("C. edule","A. marina",        "H. diversicolor",    "Other",                   "P. ulvae",          "A. marina",        "M. balthica",        
"Other"       ,            "C. edule"  ,    "P. ulvae"    ,      "A. marina"    ,    "Other"        ,           "C. maenas"     ,    "C. edule",     
"S. plana" ,    "Other"        ,           "<NA>"      ,              "<NA>"       ,             "<NA>"     ,              "<NA>"      ,              "H. filiformis",
"M. balthica"     ,    "C. edule"   ,   "Other"       ,            "C. edule"  ,    "H. diversicolor"  ,  "H. filiformis", "Other"  ,                
"S. plana" ,    "H. diversicolor"  ,  "H. filiformis", "Other"           ,        "H. filiformis" ,"Corophium"     ,          "C. volutator"   , 
"Other")        

#ALLE DATA IN N PLOT

s + geom_bar(position = "stack")


biomass_species$Site <- factor(biomass_species$Site ,
                            levels = c("DO","RA","VI","PA","MI","HE","MO","WA","RI"),ordered = TRUE)


biomass_species$Species <- factor(biomass_species$Species ,
                               levels = c("C. edule","A. marina","H. diversicolor","C. maenas","S. plana",
                                          "H. filiformis","M. balthica","P. ulvae","Corophium","C. volutator",
                                          "Other"),ordered = TRUE)


library(grid)
# Create a text
grob_oos <- grobTree(textGrob("Oosterschelde", x=0.165,  y=0.93,
                              gp=gpar(col="black", fontsize=10)))

grob_wes <- grobTree(textGrob("Westerschelde", x=0.7,  y=0.93,
                              gp=gpar(col="black", fontsize=10)))

# Plot

mytheme <- theme(axis.line = element_line(size = 1, colour = "black"),
                 panel.background = element_rect(fill = "white"))

biomass_species$Average_biomass_AFDW_mg_m2<- as.numeric(biomass_species$Average_biomass_AFDW_mg_m2)

#setwd("//zeus/eds/users/tisjad/Grazing_campaign_2015/Figures/Figures_L&O/")

biomass_species$Site <- factor(biomass_species$Site ,
                            levels = c("DO","RA","VI","PA","MI","HE","MO","WA","RI"),ordered = TRUE)

tiff("fig5_macrofauna_biomass_site_species_contribution.tiff",
     width = 5, height = 2.8,units = 'in',res=300)

plotje <- ggplot(aes(y = Average_biomass_AFDW_mg_m2, x = Site,fill=Species), data = biomass_species)  + ylim(0,40000)+
  geom_bar(stat="identity")+
  geom_vline(xintercept = 3.5, linetype="dotted", 
             color = "gray48", size=0.8)+
  ylab(expression(paste("AFDW (mg m"^"-2",")"))) +
  theme(axis.text=element_text(size=11,face="bold"),
        axis.title.x=element_text(size=11),axis.title.y=element_text(size=11))+theme(legend.text=element_text(size=9,face="italic"))+theme(legend.title=element_text(size=11))+
  scale_fill_manual(values=c("#FFF7EC", "#FEE8C8", "#FDD49E" ,"#FDBB84", "#FC8D59", "#EF6548", "#D7301F", "#990000","#000000","#E0E0E0","#808080"))+
 
  annotation_custom(grob_oos) + 
  annotation_custom(grob_wes)+
  theme(plot.margin=unit(c(1.7,0.01,1.2,0.01),"cm"))


print(plotje +mytheme)  

grid.text((paste("        +                 Salinity                  -")),
          x = unit(.42, "npc"), y = unit(.08, "npc"), just = c("bottom"), 
          gp = gpar(fontsize = 11, col = "black"))


dev.off()

