#DUAL ISOTOPE PLOTS


load("//zeus/eds/users/tisjad/Grazing_campaign_2015/Figures/Stable_isotopes/Dual_isotope_plots/with_corrected_MPB_fractionation/With_macroalgae_and_terOM/dual_isotope_plot_environment.RData")

aov.out <- aov(BISOC..o.oo.13C. ~ Site, data=benthos)
summary(aov.out)

aov.out <- aov(BISON..o.oo.15N. ~ Site, data=benthos)
summary(aov.out)

require(plyr)

##########################


phyto_viane <- list()
bulksed_viane <- list()
d15N_viane <- list()
benthos_viane <- list()
d13C_benthos <- list()
d15N_benthos <- list()
PLFA_viane <- list()
d13C_viane <- list()
d13C_terom <- list()
d15N_terom <- list()
d13C_macroalgae <- list()
d15N_macroalgae <- list()

PLFA_comb3_sed_samples <- PLFA_comb3[PLFA_comb3$Description == "sediment sample field",]

cor_factor20 <- mean(PLFA_comb3_sed_samples$d13C[which(PLFA_comb3_sed_samples$Marker == "20:5w3")]) - mean(PLFA_comb3_sed_samples$d13C[which(PLFA_comb3_sed_samples$Marker == "16:2w4")])
cor_factor22 <- mean(PLFA_comb3_sed_samples$d13C[which(PLFA_comb3_sed_samples$Marker == "22:6w3")]) - mean(PLFA_comb3_sed_samples$d13C[which(PLFA_comb3_sed_samples$Marker == "16:2w4")])

cor_factor20_sd <- sd(PLFA_comb3_sed_samples$d13C[which(PLFA_comb3_sed_samples$Marker == "20:5w3")] - PLFA_comb3_sed_samples$d13C[which(PLFA_comb3_sed_samples$Marker == "16:2w4")])
cor_factor22_sd <- sd(PLFA_comb3_sed_samples$d13C[which(PLFA_comb3_sed_samples$Marker == "22:6w3")] - PLFA_comb3_sed_samples$d13C[which(PLFA_comb3_sed_samples$Marker == "16:2w4")])


PLFA_comb3_sed_samples$d13C_corr <- seq(1,216,1)

for (d in 1:length(PLFA_comb3_sed_samples$Marker)){
  if (PLFA_comb3_sed_samples$Marker[d] == "16:2w4"){
    PLFA_comb3_sed_samples$d13C_corr[d] <-  PLFA_comb3_sed_samples$d13C[d] + 5.4
  }
  
  if (PLFA_comb3_sed_samples$Marker[d] == "20:5w3"){
    PLFA_comb3_sed_samples$d13C_corr[d] <-  PLFA_comb3_sed_samples$d13C[d] + 6.5
  }
  
  if (PLFA_comb3_sed_samples$Marker[d] == "22:6w3"){
    PLFA_comb3_sed_samples$d13C_corr[d] <-  PLFA_comb3_sed_samples$d13C[d] + 7.5
  }
  
}

PLFA_comb3_sed_samples_he <- PLFA_comb3_sed_samples[which(PLFA_comb3_sed_samples$site == "HE"),]
PLFA_comb3_sed_samples_pa <- PLFA_comb3_sed_samples[which(PLFA_comb3_sed_samples$site == "PA"),]
PLFA_comb3_sed_samples_wa <- PLFA_comb3_sed_samples[which(PLFA_comb3_sed_samples$site == "WA"),]
PLFA_comb3_sed_samples_do <- PLFA_comb3_sed_samples[which(PLFA_comb3_sed_samples$site == "DO"),]
PLFA_comb3_sed_samples_ri <- PLFA_comb3_sed_samples[which(PLFA_comb3_sed_samples$site == "RI"),]
PLFA_comb3_sed_samples_ra <- PLFA_comb3_sed_samples[which(PLFA_comb3_sed_samples$site == "RA"),]
PLFA_comb3_sed_samples_vi <- PLFA_comb3_sed_samples[which(PLFA_comb3_sed_samples$site == "VI"),]
PLFA_comb3_sed_samples_mo <- PLFA_comb3_sed_samples[which(PLFA_comb3_sed_samples$site == "MO"),]
PLFA_comb3_sed_samples_mi <- PLFA_comb3_sed_samples[which(PLFA_comb3_sed_samples$site == "MI"),]

d13C_he <- sum(PLFA_comb3_sed_samples_he$Concentration * PLFA_comb3_sed_samples_he$d13C_corr)/sum(PLFA_comb3_sed_samples_he$Concentration)
sd_d13C_he <- sd(PLFA_comb3_sed_samples_he$d13C_corr)

d13C_pa <- sum(PLFA_comb3_sed_samples_pa$Concentration * PLFA_comb3_sed_samples_pa$d13C_corr)/sum(PLFA_comb3_sed_samples_pa$Concentration)
sd_d13C_pa <- sd(PLFA_comb3_sed_samples_pa$d13C_corr)

d13C_wa <- sum(PLFA_comb3_sed_samples_wa$Concentration * PLFA_comb3_sed_samples_wa$d13C_corr)/sum(PLFA_comb3_sed_samples_wa$Concentration)
sd_d13C_wa <- sd(PLFA_comb3_sed_samples_wa$d13C_corr)

d13C_do <- sum(PLFA_comb3_sed_samples_do$Concentration * PLFA_comb3_sed_samples_do$d13C_corr)/sum(PLFA_comb3_sed_samples_do$Concentration)
sd_d13C_do <- sd(PLFA_comb3_sed_samples_do$d13C_corr)

d13C_ri <- sum(PLFA_comb3_sed_samples_ri$Concentration * PLFA_comb3_sed_samples_ri$d13C_corr)/sum(PLFA_comb3_sed_samples_ri$Concentration)
sd_d13C_ri <- sd(PLFA_comb3_sed_samples_ri$d13C_corr)

d13C_ra <- sum(PLFA_comb3_sed_samples_ra$Concentration * PLFA_comb3_sed_samples_ra$d13C_corr)/sum(PLFA_comb3_sed_samples_ra$Concentration)
sd_d13C_ra <- sd(PLFA_comb3_sed_samples_ra$d13C_corr)

d13C_vi <- sum(PLFA_comb3_sed_samples_vi$Concentration * PLFA_comb3_sed_samples_vi$d13C_corr)/sum(PLFA_comb3_sed_samples_vi$Concentration)
sd_d13C_vi <- sd(PLFA_comb3_sed_samples_vi$d13C_corr)

d13C_mo <- sum(PLFA_comb3_sed_samples_mo$Concentration * PLFA_comb3_sed_samples_mo$d13C_corr)/sum(PLFA_comb3_sed_samples_mo$Concentration)
sd_d13C_mo <- sd(PLFA_comb3_sed_samples_mo$d13C_corr)

d13C_mi <- sum(PLFA_comb3_sed_samples_mi$Concentration * PLFA_comb3_sed_samples_mi$d13C_corr)/sum(PLFA_comb3_sed_samples_mi$Concentration)
sd_d13C_mi <- sd(PLFA_comb3_sed_samples_mi$d13C_corr)

PLFA_V10 <- data.frame(cbind(c(d13C_he,d13C_pa,d13C_wa,d13C_do,d13C_ri,d13C_ra,d13C_vi,d13C_mo,d13C_mi),c(sd_d13C_he,sd_d13C_pa,sd_d13C_wa,
                                 sd_d13C_do,sd_d13C_ri,sd_d13C_ra,sd_d13C_vi,sd_d13C_mo,sd_d13C_mi )))


benthos_wes <- benthos[which(benthos$Site %in% c("Waarde","Rilland","Paulina","Molenplaat","Middelplaat","Hellegat")),]

#get corrected d13C per plot

#PLFA_plot_not_con_dependent<-  ddply(PLFA_comb3_sed_samples,~Plot,summarise,mean=mean(d13C_corr),sd=sd(d13C_corr))

#write.csv(PLFA_plot_not_con_dependent,file="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Sediment_samples/PLFA_samples/PLFA_plot_not_con_dependent.csv")

colnames(PLFA_V10)[1] <- "mean"
colnames(PLFA_V10)[2] <- "sd"
PLFA_V10$site <- c("HE","PA","WA","DO","RI","RA","VI","MO","MI")

sites <- c("DO",  "RA" ,"VI","HE", "MI", "MO", "PA", "RI" ,"WA")
plot_titles <- c("DO",  "RA" ,"VI","HE", "MI", "MO", "PA", "RI" ,"WA")
estuary_title <- c("",  "Oosterschelde" ,"","", "Westerschelde", "", "", "" ,"")
text_graph <- c("DO",  "RA" ,"VI","HE", "MI", "MO", "PA", "RI" ,"WA")
plotnr_text <- c("a","b","c","d","e","f","g","h","i")

setwd("//zeus/eds/users/tisjad/Grazing_campaign_2015/Figures/Figures_L&O/")

tiff("fig5_dual_stable_isotopes3x3.tiff", width =13, height = 13, units = 'in', res = 300)#originele formaat (13) en dan met online tool resizen

par(mfrow=c(3,3),mai = c(0.7, 0.7, 0.4, 0.05))

for (ii in 1:length(sites)) {
  
  phyto_viane[[ii]] <- isotope_phyto[isotope_phyto$sites == sites[ii],]
  
  bulksed_viane[[ii]] <- isotope_bulksed[isotope_bulksed$site == sites[ii],]
  d15N_viane[[ii]] <- ddply(bulksed_viane[[ii]],~site,summarise,mean=mean(SISON..o.oo.15N.), sd=sd(SISON..o.oo.15N.))
  
  if (sites[ii] %in% c("VI","DO","RA")){
    d15N_viane[[ii]]$mean <- d15N_viane[[ii]]$mean +2
  } 
  if (sites[ii] %in% c("HE","MI","MO","PA","RI","WA")){
    d15N_viane[[ii]]$mean <- d15N_viane[[ii]]$mean +10
  } 
  
  
  d13C_terom[[ii]] <- terOM[,c(1,2)]
  d15N_terom[[ii]] <- terOM[,c(3,4)]
  d13C_macroalgae[[ii]] <- macroalgae[macroalgae$site == sites[ii],c(2,4)]
  d15N_macroalgae[[ii]] <- macroalgae[macroalgae$site == sites[ii],c(3,5)]
  
  
  benthos_viane[[ii]] <- benthos[benthos$site == sites[ii],]
  
  d13C_benthos[[ii]] <- ddply(benthos_viane[[ii]],~Species,summarise,mean=mean(BISOC..o.oo.13C.),sd=sd(BISOC..o.oo.13C.))
  
  d15N_benthos[[ii]] <- ddply(benthos_viane[[ii]],~Species,summarise,mean=mean(BISON..o.oo.15N.),sd=sd(BISON..o.oo.15N.))
  
 # PLFA_all <- PLFA_2markers[PLFA_2markers$site == sites[ii],]
#  PLFA_viane[[ii]] <- PLFA_all[PLFA_all$Description == "sediment sample field",]
  
 # PLFA_viane[[ii]]$d13C <- PLFA_viane[[ii]]$d13C+5.4
  
  #d13C_viane[[ii]] <- ddply(PLFA_viane[[ii]],~site, summarise, mean=mean(d13C), sd=sd(d13C))
  
  d13C_viane[[ii]] <-  PLFA_V10[PLFA_V10$site == sites[ii],]
   
  #mypath <- file.path(paste("ZEUS/eds/users/tisjad/Grazing_campaign_2015/Figures/Stable_isotopes/Dual_isotope_plots/dual_isotope_plot_", plot_titles[ii], ".png", sep = ""))
  #mypath <- file.path(paste("D:/", plot_titles[ii], "_no_legend.png", sep = ""))
  #png(filename=mypath)
  

  
  
  symbols_species <- c(0,1,3,4,5,6,7,8,9,10,11)
  
  names_species <- as.character(unique(benthos$Species))
  
  colors_legend <- data.frame(cbind(symbols_species,names_species))
  
  
  symbols_site <- array()
  for (kk in 1:length(d15N_benthos[[ii]][["Species"]])){
    
    symbols_site[kk] <-  colors_legend$symbols_species[which(colors_legend$names_species %in%d15N_benthos[[ii]][["Species"]][kk])]}
  
  
  plot(d13C_viane[[ii]][["mean"]],d15N_viane[[ii]][["mean"]],pch=16,cex=2,main=estuary_title[ii], 
       xlab=expression(paste(delta^{13}, "C (\u2030)")), ylab=expression(paste(delta^{15}, "N (\u2030)")),cex.main=3,cex.lab=2,cex.axis=2,xlim=c(-32,7),ylim=c(0,22))
  
  text(x = -36.2, y = 24, labels = plotnr_text[ii], xpd = NA,cex=3)
  text(x = -30, y = 21.5, labels = sites[ii], xpd = NA,cex=3)#site names

#legend(-36,23,text_graph[ii],
 #      cex=2,bty="n")
  
  
  points(phyto_viane[[ii]][["meand13C"]],phyto_viane[[ii]][["meand15N"]],pch=17,cex=2)
  #points(d13C_bulksed[[ii]][["mean"]],d15N_bulksed[[ii]][["mean"]],col="brown3",pch=18,cex=2)
  points(d13C_benthos[[ii]][["mean"]],d15N_benthos[[ii]][["mean"]],pch=symbols_site,cex=2)
  
  if (sites[ii] %in% c("VI","DO","RA")){
    points(d13C_macroalgae[[ii]][["BISOC..o.oo.13C..mean"]],d15N_macroalgae[[ii]][["BISON..o.oo.15N..mean"]],pch=15,cex=2)
  } 
  if (sites[ii] %in% c("HE","MI","MO","PA","RI" ,"WA")){
    points(d13C_terom[[ii]][["Meand13C"]],d15N_terom[[ii]][["Meand15N"]],pch=18,cex=2)
  } 
  
 # legend
  
  
 # if (sites[ii] %in% c("VI","DO","RA")){
  # legend(7, 0,xjust=1, yjust=0,c("MPB","Phyt","Mac",d15N_benthos[[ii]][["Species"]]),pch=c(16,17,15,symbols_site),
   #       cex=1.3, pt.cex = 2,text.font=c(1,1,1,rep(3,length(d15N_benthos[[ii]][["Species"]]))))
  #} 
  #if (sites[ii] %in% c("HE","MI","MO","PA","RI" ,"WA")){
   #legend(7, 0,xjust=1, yjust=0, c("MPB","Phyt","TerOM",d15N_benthos[[ii]][["Species"]]),pch=c(16,17,18,symbols_site),cex=1.3, pt.cex = 2,text.font=c(1,1,1,rep(3,length(d15N_benthos[[ii]][["Species"]]))))
  #} 
  
  #Add error bars to MPB data
  
  
  segments(d13C_viane[[ii]][["mean"]]-d13C_viane[[ii]][["sd"]],d15N_viane[[ii]][["mean"]],d13C_viane[[ii]][["mean"]]+d13C_viane[[ii]][["sd"]],d15N_viane[[ii]][["mean"]])
  
  segments(d13C_viane[[ii]][["mean"]],d15N_viane[[ii]][["mean"]]-d15N_viane[[ii]][["sd"]],d13C_viane[[ii]][["mean"]],d15N_viane[[ii]][["mean"]]+d15N_viane[[ii]][["sd"]])
  
  
  
  #Add error bars to benthos data
  segments(d13C_benthos[[ii]][["mean"]]-d13C_benthos[[ii]][["sd"]],d15N_benthos[[ii]][["mean"]],d13C_benthos[[ii]][["mean"]]+d13C_benthos[[ii]][["sd"]],d15N_benthos[[ii]][["mean"]])
  
  segments(d13C_benthos[[ii]][["mean"]],d15N_benthos[[ii]][["mean"]]-d15N_benthos[[ii]][["sd"]],d13C_benthos[[ii]][["mean"]],d15N_benthos[[ii]][["mean"]]+d15N_benthos[[ii]][["sd"]])
  
  
  
  #add error bars to phytoplankton data
  segments(phyto_viane[[ii]][["meand13C"]]-phyto_viane[[ii]][["sdd13C"]],phyto_viane[[ii]][["meand15N"]],phyto_viane[[ii]][["meand13C"]]+phyto_viane[[ii]][["sdd13C"]],phyto_viane[[ii]][["meand15N"]])
  
  segments(phyto_viane[[ii]][["meand13C"]],phyto_viane[[ii]][["meand15N"]]-phyto_viane[[ii]][["sdd15N"]],phyto_viane[[ii]][["meand13C"]],phyto_viane[[ii]][["meand15N"]]+phyto_viane[[ii]][["sdd15N"]])
  
  #add error bars to macroalgae and ter OM data
  
  if (sites[ii] %in% c("VI","DO","RA")){
    segments(d13C_macroalgae[[ii]][["BISOC..o.oo.13C..mean"]]-d13C_macroalgae[[ii]][["BISOC..o.oo.13C..sd"]],d15N_macroalgae[[ii]][["BISON..o.oo.15N..mean"]],d13C_macroalgae[[ii]][["BISOC..o.oo.13C..mean"]]+d13C_macroalgae[[ii]][["BISOC..o.oo.13C..sd"]],d15N_macroalgae[[ii]][["BISON..o.oo.15N..mean"]])
    
    segments(d13C_macroalgae[[ii]][["BISOC..o.oo.13C..mean"]],d15N_macroalgae[[ii]][["BISON..o.oo.15N..mean"]]-d15N_macroalgae[[ii]][["BISON..o.oo.15N..sd"]],d13C_macroalgae[[ii]][["BISOC..o.oo.13C..mean"]],d15N_macroalgae[[ii]][["BISON..o.oo.15N..mean"]]+d15N_macroalgae[[ii]][["BISON..o.oo.15N..sd"]])
    
    
    
  } 
  if (sites[ii] %in% c("HE","MI","MO","PA","RI" ,"WA")){
    segments(d13C_terom[[ii]][["Meand13C"]]-d13C_terom[[ii]][["SDd13C"]],d15N_terom[[ii]][["Meand15N"]],d13C_terom[[ii]][["Meand13C"]]+d13C_terom[[ii]][["SDd13C"]],d15N_terom[[ii]][["Meand15N"]])
    
    segments(d13C_terom[[ii]][["Meand13C"]],d15N_terom[[ii]][["Meand15N"]]-d15N_terom[[ii]][["SDd15N"]],d13C_terom[[ii]][["Meand13C"]],d15N_terom[[ii]][["Meand15N"]]+d15N_terom[[ii]][["SDd15N"]])
    
  }
  
  
}

dev.off()


#CALCULATE D13c OF mpb PER SITE AND ELEVATION CATEGORY

plot_elevation <- data.frame(cbind(as.character(PLFA_d13C_elevation$Plot),PLFA_d13C_elevation$elevation))
plot_elevation$elevation_category <- seq(1,52,1)

colnames(plot_elevation)[1] <- "Plot"
colnames(plot_elevation)[2] <- "elevation"

plot_elevation$elevation <- as.numeric(as.character(plot_elevation$elevation))
  
plot_elevation$elevation_category[which(plot_elevation$elevation > 0) ] <- 1
plot_elevation$elevation_category[which(plot_elevation$elevation < 0) ] <- 0

PLFA_comb3_sed_samples_elevation <- merge(plot_elevation,PLFA_comb3_sed_samples,by="Plot")

PLFA_comb3_sed_samples_he <- PLFA_comb3_sed_samples_elevation[which(PLFA_comb3_sed_samples_elevation$site == "HE"),]
PLFA_comb3_sed_samples_pa <- PLFA_comb3_sed_samples_elevation[which(PLFA_comb3_sed_samples_elevation$site == "PA"),]
PLFA_comb3_sed_samples_wa <- PLFA_comb3_sed_samples_elevation[which(PLFA_comb3_sed_samples_elevation$site == "WA"),]
PLFA_comb3_sed_samples_do <- PLFA_comb3_sed_samples_elevation[which(PLFA_comb3_sed_samples_elevation$site == "DO"),]
PLFA_comb3_sed_samples_ri <- PLFA_comb3_sed_samples_elevation[which(PLFA_comb3_sed_samples_elevation$site == "RI"),]
PLFA_comb3_sed_samples_ra <- PLFA_comb3_sed_samples_elevation[which(PLFA_comb3_sed_samples_elevation$site == "RA"),]
PLFA_comb3_sed_samples_vi <- PLFA_comb3_sed_samples_elevation[which(PLFA_comb3_sed_samples_elevation$site == "VI"),]
PLFA_comb3_sed_samples_mo <- PLFA_comb3_sed_samples_elevation[which(PLFA_comb3_sed_samples_elevation$site == "MO"),]
PLFA_comb3_sed_samples_mi <- PLFA_comb3_sed_samples_elevation[which(PLFA_comb3_sed_samples_elevation$site == "MI"),]

PLFA_comb3_sed_samples_he_high <- PLFA_comb3_sed_samples_he[which(PLFA_comb3_sed_samples_he$elevation_category == 1),]
PLFA_comb3_sed_samples_he_low <- PLFA_comb3_sed_samples_he[which(PLFA_comb3_sed_samples_he$elevation_category == 0),]

PLFA_comb3_sed_samples_pa_high <- PLFA_comb3_sed_samples_pa[which(PLFA_comb3_sed_samples_pa$elevation_category == 1),]
PLFA_comb3_sed_samples_pa_low <- PLFA_comb3_sed_samples_pa[which(PLFA_comb3_sed_samples_pa$elevation_category == 0),]

PLFA_comb3_sed_samples_wa_high <- PLFA_comb3_sed_samples_wa[which(PLFA_comb3_sed_samples_wa$elevation_category == 1),]
PLFA_comb3_sed_samples_wa_low <- PLFA_comb3_sed_samples_wa[which(PLFA_comb3_sed_samples_wa$elevation_category == 0),]

PLFA_comb3_sed_samples_do_high <- PLFA_comb3_sed_samples_do[which(PLFA_comb3_sed_samples_do$elevation_category == 1),]
PLFA_comb3_sed_samples_do_low <- PLFA_comb3_sed_samples_do[which(PLFA_comb3_sed_samples_do$elevation_category == 0),]

PLFA_comb3_sed_samples_ri_high <- PLFA_comb3_sed_samples_ri[which(PLFA_comb3_sed_samples_ri$elevation_category == 1),]
PLFA_comb3_sed_samples_ri_low <- PLFA_comb3_sed_samples_ri[which(PLFA_comb3_sed_samples_ri$elevation_category == 0),]

PLFA_comb3_sed_samples_ra_high <- PLFA_comb3_sed_samples_ra[which(PLFA_comb3_sed_samples_ra$elevation_category == 1),]
PLFA_comb3_sed_samples_ra_low <- PLFA_comb3_sed_samples_ra[which(PLFA_comb3_sed_samples_ra$elevation_category == 0),]

PLFA_comb3_sed_samples_vi_high <- PLFA_comb3_sed_samples_vi[which(PLFA_comb3_sed_samples_vi$elevation_category == 1),]
PLFA_comb3_sed_samples_vi_low <- PLFA_comb3_sed_samples_vi[which(PLFA_comb3_sed_samples_vi$elevation_category == 0),]

PLFA_comb3_sed_samples_mo_high <- PLFA_comb3_sed_samples_mo[which(PLFA_comb3_sed_samples_mo$elevation_category == 1),]
PLFA_comb3_sed_samples_mo_low <- PLFA_comb3_sed_samples_mo[which(PLFA_comb3_sed_samples_mo$elevation_category == 0),]

PLFA_comb3_sed_samples_mi_high <- PLFA_comb3_sed_samples_mi[which(PLFA_comb3_sed_samples_mi$elevation_category == 1),]
PLFA_comb3_sed_samples_mi_low <- PLFA_comb3_sed_samples_mi[which(PLFA_comb3_sed_samples_mi$elevation_category == 0),]


d13C_he_high <- sum(PLFA_comb3_sed_samples_he_high$Concentration * PLFA_comb3_sed_samples_he_high$d13C_corr)/sum(PLFA_comb3_sed_samples_he_high$Concentration)
sd_d13C_he_high <- sd(PLFA_comb3_sed_samples_he_high$d13C_corr)

d13C_he_low <- sum(PLFA_comb3_sed_samples_he_low$Concentration * PLFA_comb3_sed_samples_he_low$d13C_corr)/sum(PLFA_comb3_sed_samples_he_low$Concentration)
sd_d13C_he_low <- sd(PLFA_comb3_sed_samples_he_low$d13C_corr)

d13C_pa_high <- sum(PLFA_comb3_sed_samples_pa_high$Concentration * PLFA_comb3_sed_samples_pa_high$d13C_corr)/sum(PLFA_comb3_sed_samples_pa_high$Concentration)
sd_d13C_pa_high <- sd(PLFA_comb3_sed_samples_pa_high$d13C_corr)

d13C_pa_low <- sum(PLFA_comb3_sed_samples_pa_low$Concentration * PLFA_comb3_sed_samples_pa_low$d13C_corr)/sum(PLFA_comb3_sed_samples_pa_low$Concentration)
sd_d13C_pa_low <- sd(PLFA_comb3_sed_samples_pa_low$d13C_corr)

d13C_wa_high <- sum(PLFA_comb3_sed_samples_wa_high$Concentration * PLFA_comb3_sed_samples_wa_high$d13C_corr)/sum(PLFA_comb3_sed_samples_wa_high$Concentration)
sd_d13C_wa_high <- sd(PLFA_comb3_sed_samples_wa_high$d13C_corr)

d13C_wa_low <- sum(PLFA_comb3_sed_samples_wa_low$Concentration * PLFA_comb3_sed_samples_wa_low$d13C_corr)/sum(PLFA_comb3_sed_samples_wa_low$Concentration)
sd_d13C_wa_low <- sd(PLFA_comb3_sed_samples_wa_low$d13C_corr)

d13C_do_high <- sum(PLFA_comb3_sed_samples_do_high$Concentration * PLFA_comb3_sed_samples_do_high$d13C_corr)/sum(PLFA_comb3_sed_samples_do_high$Concentration)
sd_d13C_do_high <- sd(PLFA_comb3_sed_samples_do_high$d13C_corr)

d13C_do_low <- sum(PLFA_comb3_sed_samples_do_low$Concentration * PLFA_comb3_sed_samples_do_low$d13C_corr)/sum(PLFA_comb3_sed_samples_do_low$Concentration)
sd_d13C_do_low <- sd(PLFA_comb3_sed_samples_do_low$d13C_corr)

d13C_ri_high <- sum(PLFA_comb3_sed_samples_ri_high$Concentration * PLFA_comb3_sed_samples_ri_high$d13C_corr)/sum(PLFA_comb3_sed_samples_ri_high$Concentration)
sd_d13C_ri_high <- sd(PLFA_comb3_sed_samples_ri_high$d13C_corr)

d13C_ri_low <- sum(PLFA_comb3_sed_samples_ri_low$Concentration * PLFA_comb3_sed_samples_ri_low$d13C_corr)/sum(PLFA_comb3_sed_samples_ri_low$Concentration)
sd_d13C_ri_low <- sd(PLFA_comb3_sed_samples_ri_low$d13C_corr)

d13C_ra_high <- sum(PLFA_comb3_sed_samples_ra_high$Concentration * PLFA_comb3_sed_samples_ra_high$d13C_corr)/sum(PLFA_comb3_sed_samples_ra_high$Concentration)
sd_d13C_ra_high <- sd(PLFA_comb3_sed_samples_ra_high$d13C_corr)

d13C_ra_low <- sum(PLFA_comb3_sed_samples_ra_low$Concentration * PLFA_comb3_sed_samples_ra_low$d13C_corr)/sum(PLFA_comb3_sed_samples_ra_low$Concentration)
sd_d13C_ra_low <- sd(PLFA_comb3_sed_samples_ra_low$d13C_corr)

d13C_vi_high <- sum(PLFA_comb3_sed_samples_vi_high$Concentration * PLFA_comb3_sed_samples_vi_high$d13C_corr)/sum(PLFA_comb3_sed_samples_vi_high$Concentration)
sd_d13C_vi_high <- sd(PLFA_comb3_sed_samples_vi_high$d13C_corr)

d13C_vi_low <- sum(PLFA_comb3_sed_samples_vi_low$Concentration * PLFA_comb3_sed_samples_vi_low$d13C_corr)/sum(PLFA_comb3_sed_samples_vi_low$Concentration)
sd_d13C_vi_low <- sd(PLFA_comb3_sed_samples_vi_low$d13C_corr)

d13C_mo_high <- sum(PLFA_comb3_sed_samples_mo_high$Concentration * PLFA_comb3_sed_samples_mo_high$d13C_corr)/sum(PLFA_comb3_sed_samples_mo_high$Concentration)
sd_d13C_mo_high <- sd(PLFA_comb3_sed_samples_mo_high$d13C_corr)

d13C_mo_low <- sum(PLFA_comb3_sed_samples_mo_low$Concentration * PLFA_comb3_sed_samples_mo_low$d13C_corr)/sum(PLFA_comb3_sed_samples_mo_low$Concentration)
sd_d13C_mo_low <- sd(PLFA_comb3_sed_samples_mo_low$d13C_corr)

d13C_mi_high <- sum(PLFA_comb3_sed_samples_mi_high$Concentration * PLFA_comb3_sed_samples_mi_high$d13C_corr)/sum(PLFA_comb3_sed_samples_mi_high$Concentration)
sd_d13C_mi_high <- sd(PLFA_comb3_sed_samples_mi_high$d13C_corr)

d13C_mi_low <- sum(PLFA_comb3_sed_samples_mi_low$Concentration * PLFA_comb3_sed_samples_mi_low$d13C_corr)/sum(PLFA_comb3_sed_samples_mi_low$Concentration)
sd_d13C_mi_low <- sd(PLFA_comb3_sed_samples_mi_low$d13C_corr)


#Voeg een observatie van Tharyx en Spionidae toe aan dataset van Molenplaat om voor deze site een legenda te maken waar alle macrofauna-soorten in voorkomen



tiff("fig5_dual_stable_isotopes3x3_legend.tiff", width =13, height = 13, units = 'in', res = 300)#originele formaat (13) en dan met online tool resizen

par(mfrow=c(3,3),mai = c(0.7, 0.7, 0.4, 0.05))

for (ii in 1:length(sites)) {
  
  phyto_viane[[ii]] <- isotope_phyto[isotope_phyto$sites == sites[ii],]
  
  bulksed_viane[[ii]] <- isotope_bulksed[isotope_bulksed$site == sites[ii],]
  d15N_viane[[ii]] <- ddply(bulksed_viane[[ii]],~site,summarise,mean=mean(SISON..o.oo.15N.), sd=sd(SISON..o.oo.15N.))
  
  if (sites[ii] %in% c("VI","DO","RA")){
    d15N_viane[[ii]]$mean <- d15N_viane[[ii]]$mean +2
  } 
  if (sites[ii] %in% c("HE","MI","MO","PA","RI","WA")){
    d15N_viane[[ii]]$mean <- d15N_viane[[ii]]$mean +10
  } 
  
  
  d13C_terom[[ii]] <- terOM[,c(1,2)]
  d15N_terom[[ii]] <- terOM[,c(3,4)]
  d13C_macroalgae[[ii]] <- macroalgae[macroalgae$site == sites[ii],c(2,4)]
  d15N_macroalgae[[ii]] <- macroalgae[macroalgae$site == sites[ii],c(3,5)]
  
  
  benthos_viane[[ii]] <- benthos[benthos$site == sites[ii],]
  
  d13C_benthos[[ii]] <- ddply(benthos_viane[[ii]],~Species,summarise,mean=mean(BISOC..o.oo.13C.),sd=sd(BISOC..o.oo.13C.))
  
  d15N_benthos[[ii]] <- ddply(benthos_viane[[ii]],~Species,summarise,mean=mean(BISON..o.oo.15N.),sd=sd(BISON..o.oo.15N.))
  
  add_to_legend <- data.frame(cbind(c("Tharyx marioni","Spionidae"),c(-15,-16),c(0.5,1)))
  
  colnames(add_to_legend) <- colnames(d15N_benthos[[ii]])
  
  d15N_benthos[[ii]] <- rbind(d15N_benthos[[ii]],add_to_legend)
  d13C_benthos[[ii]] <- rbind(d13C_benthos[[ii]],add_to_legend)
  
  d13C_benthos[[ii]]$mean <-  as.numeric(d13C_benthos[[ii]]$mean)
  d13C_benthos[[ii]]$sd <-  as.numeric(d13C_benthos[[ii]]$sd)
  
  d15N_benthos[[ii]]$mean <-  as.numeric(d15N_benthos[[ii]]$mean)
  d15N_benthos[[ii]]$sd <-  as.numeric(d15N_benthos[[ii]]$sd)
  
  # PLFA_all <- PLFA_2markers[PLFA_2markers$site == sites[ii],]
  #  PLFA_viane[[ii]] <- PLFA_all[PLFA_all$Description == "sediment sample field",]
  
  # PLFA_viane[[ii]]$d13C <- PLFA_viane[[ii]]$d13C+5.4
  
  #d13C_viane[[ii]] <- ddply(PLFA_viane[[ii]],~site, summarise, mean=mean(d13C), sd=sd(d13C))
  
  d13C_viane[[ii]] <-  PLFA_V10[PLFA_V10$site == sites[ii],]
  
  #mypath <- file.path(paste("ZEUS/eds/users/tisjad/Grazing_campaign_2015/Figures/Stable_isotopes/Dual_isotope_plots/dual_isotope_plot_", plot_titles[ii], ".png", sep = ""))
  #mypath <- file.path(paste("D:/", plot_titles[ii], "_no_legend.png", sep = ""))
  #png(filename=mypath)
  
  
  
  
  symbols_species <- c(0,1,3,4,5,6,7,8,9,10,11)
  
  names_species <- as.character(unique(benthos$Species))
  
  colors_legend <- data.frame(cbind(symbols_species,names_species))
  
  
  symbols_site <- array()
  for (kk in 1:length(d15N_benthos[[ii]][["Species"]])){
    
    symbols_site[kk] <-  colors_legend$symbols_species[which(colors_legend$names_species %in%d15N_benthos[[ii]][["Species"]][kk])]}
  
  
  plot(d13C_viane[[ii]][["mean"]],d15N_viane[[ii]][["mean"]],pch=16,cex=2,main=estuary_title[ii], 
       xlab=expression(paste(delta^{13}, "C (\u2030)")), ylab=expression(paste(delta^{15}, "N (\u2030)")),cex.main=3,cex.lab=2,cex.axis=2,xlim=c(-32,7),ylim=c(0,22))
  
  text(x = -36.2, y = 24, labels = plotnr_text[ii], xpd = NA,cex=3)
  
  legend(-36,23,text_graph[ii],
        cex=2,bty="n")
  
  
  points(phyto_viane[[ii]][["meand13C"]],phyto_viane[[ii]][["meand15N"]],pch=17,cex=2)
  #points(d13C_bulksed[[ii]][["mean"]],d15N_bulksed[[ii]][["mean"]],col="brown3",pch=18,cex=2)
  points(d13C_benthos[[ii]][["mean"]],d15N_benthos[[ii]][["mean"]],pch=symbols_site,cex=2)
  
  if (sites[ii] %in% c("VI","DO","RA")){
    points(d13C_macroalgae[[ii]][["BISOC..o.oo.13C..mean"]],d15N_macroalgae[[ii]][["BISON..o.oo.15N..mean"]],pch=15,cex=2)
  } 
  if (sites[ii] %in% c("HE","MI","MO","PA","RI" ,"WA")){
    points(d13C_terom[[ii]][["Meand13C"]],d15N_terom[[ii]][["Meand15N"]],pch=18,cex=2)
  } 
  
  # legend
  
  
   if (sites[ii] %in% c("VI","DO","RA")){
   legend(7, 0,xjust=1, yjust=0,c("MPB","Phyt","Mac",d15N_benthos[[ii]][["Species"]]),pch=c(16,17,15,symbols_site),
         cex=1.5, pt.cex = 1.5,text.font=c(1,1,1,rep(3,length(d15N_benthos[[ii]][["Species"]]))))
  } 
  if (sites[ii] %in% c("HE","MI","MO","PA","RI" ,"WA")){
  legend(7, 0,xjust=1, yjust=0, c("MPB","Phyt","TerOM",d15N_benthos[[ii]][["Species"]]),pch=c(16,17,18,symbols_site),cex=1.5, pt.cex = 1.5,text.font=c(1,1,1,rep(3,length(d15N_benthos[[ii]][["Species"]]))))
  } 
  
  #Add error bars to MPB data
  
  
  segments(d13C_viane[[ii]][["mean"]]-d13C_viane[[ii]][["sd"]],d15N_viane[[ii]][["mean"]],d13C_viane[[ii]][["mean"]]+d13C_viane[[ii]][["sd"]],d15N_viane[[ii]][["mean"]])
  
  segments(d13C_viane[[ii]][["mean"]],d15N_viane[[ii]][["mean"]]-d15N_viane[[ii]][["sd"]],d13C_viane[[ii]][["mean"]],d15N_viane[[ii]][["mean"]]+d15N_viane[[ii]][["sd"]])
  
  
  
  #Add error bars to benthos data
  segments(d13C_benthos[[ii]][["mean"]]-d13C_benthos[[ii]][["sd"]],d15N_benthos[[ii]][["mean"]],d13C_benthos[[ii]][["mean"]]+d13C_benthos[[ii]][["sd"]],d15N_benthos[[ii]][["mean"]])
  
  segments(d13C_benthos[[ii]][["mean"]],d15N_benthos[[ii]][["mean"]]-d15N_benthos[[ii]][["sd"]],d13C_benthos[[ii]][["mean"]],d15N_benthos[[ii]][["mean"]]+d15N_benthos[[ii]][["sd"]])
  
  
  
  #add error bars to phytoplankton data
  segments(phyto_viane[[ii]][["meand13C"]]-phyto_viane[[ii]][["sdd13C"]],phyto_viane[[ii]][["meand15N"]],phyto_viane[[ii]][["meand13C"]]+phyto_viane[[ii]][["sdd13C"]],phyto_viane[[ii]][["meand15N"]])
  
  segments(phyto_viane[[ii]][["meand13C"]],phyto_viane[[ii]][["meand15N"]]-phyto_viane[[ii]][["sdd15N"]],phyto_viane[[ii]][["meand13C"]],phyto_viane[[ii]][["meand15N"]]+phyto_viane[[ii]][["sdd15N"]])
  
  #add error bars to macroalgae and ter OM data
  
  if (sites[ii] %in% c("VI","DO","RA")){
    segments(d13C_macroalgae[[ii]][["BISOC..o.oo.13C..mean"]]-d13C_macroalgae[[ii]][["BISOC..o.oo.13C..sd"]],d15N_macroalgae[[ii]][["BISON..o.oo.15N..mean"]],d13C_macroalgae[[ii]][["BISOC..o.oo.13C..mean"]]+d13C_macroalgae[[ii]][["BISOC..o.oo.13C..sd"]],d15N_macroalgae[[ii]][["BISON..o.oo.15N..mean"]])
    
    segments(d13C_macroalgae[[ii]][["BISOC..o.oo.13C..mean"]],d15N_macroalgae[[ii]][["BISON..o.oo.15N..mean"]]-d15N_macroalgae[[ii]][["BISON..o.oo.15N..sd"]],d13C_macroalgae[[ii]][["BISOC..o.oo.13C..mean"]],d15N_macroalgae[[ii]][["BISON..o.oo.15N..mean"]]+d15N_macroalgae[[ii]][["BISON..o.oo.15N..sd"]])
    
    
    
  } 
  if (sites[ii] %in% c("HE","MI","MO","PA","RI" ,"WA")){
    segments(d13C_terom[[ii]][["Meand13C"]]-d13C_terom[[ii]][["SDd13C"]],d15N_terom[[ii]][["Meand15N"]],d13C_terom[[ii]][["Meand13C"]]+d13C_terom[[ii]][["SDd13C"]],d15N_terom[[ii]][["Meand15N"]])
    
    segments(d13C_terom[[ii]][["Meand13C"]],d15N_terom[[ii]][["Meand15N"]]-d15N_terom[[ii]][["SDd15N"]],d13C_terom[[ii]][["Meand13C"]],d15N_terom[[ii]][["Meand15N"]]+d15N_terom[[ii]][["SDd15N"]])
    
  }
  
  
}

dev.off()




