#PLOT GRAZING PRESSURE LOG SCALE - SAME LAY-OUT AS CHL-A


load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_phytoplankton_V8.RData")
load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_terOM_V8.RData")
load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_mpb_new_coef_V8.RData")

load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/grazing_data_matched_mpb_production_plots.RData")

alldata_grazing_mpb_geb <- alldata_grazing_mpb_geb[alldata_grazing_mpb_geb$REC_ID %in% alldata_grazing_mpb_geb_plot$REC_ID,]

alldata_grazing_mpb_geb_plot<-  alldata_grazing_mpb_geb_plot[with(alldata_grazing_mpb_geb_plot, order(REC_ID)), ]
alldata_grazing_mpb_geb<-  alldata_grazing_mpb_geb[with(alldata_grazing_mpb_geb, order(REC_ID)), ]

grazing_mpb_plot_plot <- summaryBy(respiration ~ REC_ID +Site.y , data = alldata_grazing_mpb_geb_plot,
                              FUN = c(sum) )

mean(grazing_mpb_plot_plot$respiration.sum)
sd(grazing_mpb_plot_plot$respiration.sum)

plot(grazing_mpb_plot_plot$respiration.sum,grazing_mpb_plot$respiration.sum)
abline(0,1)



require(doBy)

grazing_mpb_plot <- summaryBy(respiration ~ REC_ID +Site.y , data = alldata_grazing_mpb_geb,
                                  FUN = c(sum) )

grazing_phyt_plot <- summaryBy(respiration_phyt ~ REC_ID +Site.y, data = alldata_grazing_phyt_geb,
                                   FUN = c(sum) )

alldata_grazing_ter_wes <- alldata_grazing_ter_wes[!is.na(alldata_grazing_ter_wes$grazing_ter),]

grazing_ter_plot <- summaryBy(respiration_ter ~ REC_ID +Site.y, data = alldata_grazing_ter_wes,
                                  FUN = c(sum) )
mean(grazing_mpb_plot$respiration.sum)
sd(grazing_mpb_plot$respiration.sum)
#PLOT GRAZING PRESSURE AS BOXPLOT
colnames(grazing_phyt_plot)[3] <- "respiration.sum"
colnames(grazing_ter_plot)[3] <- "respiration.sum"

 alldata <- data.frame(cbind(rbind(grazing_phyt_plot,grazing_mpb_plot,grazing_ter_plot),
                                c(rep("Phytoplankton",length(grazing_phyt_plot$REC_ID)),rep("Microphytobenthos",length(grazing_mpb_plot$REC_ID)),
                                  rep("Terrestrial OM",length(grazing_ter_plot$REC_ID)))))

colnames(alldata)[4] <- "Source"

alldata$Site <- toupper(substr(alldata$Site.y,1,2))

estuary <- data.frame(cbind(c("DO","VI","RA","WA","RI","MO","MI","HE","PA"),c("OOS","OOS","OOS","WES","WES","WES","WES","WES","WES")))

colnames(estuary)[1] <- "Site"
colnames(estuary)[2] <- "Estuary"

alldata2 <- merge(estuary,alldata,by="Site")

fit <- aov(respiration.sum ~ Estuary + Source + Error(Site),alldata2)
summary(fit)
aov(chla ~ estuary + highlow + Month +  highlow*estuary + Error(site),data=all_chla_data

summary(fit)
anova(fit)

posthoc <- TukeyHSD(x=fit, 'Source', conf.level=0.95)
posthoc <- TukeyHSD(x=fit, 'Site', conf.level=0.95)

MPB_data <- alldata[alldata$Source == "Microphytobenthos",]
phyt_data <- alldata[alldata$Source == "Phytoplankton",]
terom_data <- alldata[alldata$Source == "Terrestrial OM",]



MPB_data$estuary <- c(rep("OOS",6),rep("WES",2),rep("OOS",6),rep("WES",2),rep("OOS",12),rep("WES",4),rep("OOS",6),rep("WES",4),
                      rep("OOS",9),rep("WES",5),rep("OOS",5),rep("WES",2))

fit <- aov(respiration.sum ~ estuary*Site,MPB_data)

summary(fit)

mean(terom_data$respiration.sum)
sd(terom_data$respiration.sum)

mean(phyt_data$respiration.sum)
sd(phyt_data$respiration.sum)

mean(MPB_data$respiration.sum)
sd(MPB_data$respiration.sum)


#ALLE DATA IN N PLOT

alldata$Site <- factor(alldata$Site ,
                             levels = c("DO","RA","VI","PA","MI","HE","MO","WA","RI"),ordered = TRUE)

alldata <- rbind(alldata,c("NA","NA","NA","Terrestrial OM","MI"))

alldata$respiration.sum <- as.numeric(alldata$respiration.sum)

library(grid)
# Create a text
grob_oos <- grobTree(textGrob("Oosterschelde", x=0.17,  y=0.94,
                              gp=gpar(col="black", fontsize=10)))

grob_wes <- grobTree(textGrob("Westerschelde", x=0.7,  y=0.94,
                              gp=gpar(col="black", fontsize=10)))

# Plot

alldata$respiration.sum<- as.numeric(alldata$respiration.sum)

setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Figures/High_quality_figures")

tiff("fig7_grazing_pressure_log_scale3_V8.tiff",width= 5,height=2.82,
     units = 'in', res = 300)

ggplot(aes(y = respiration.sum, x = Site, fill = Source), data = alldata) +geom_boxplot(position=position_dodge(width=0.9),outlier.size=0.7) +scale_fill_manual(values=c("gray100","gray80","gray54"),limits=c("Microphytobenthos","Phytoplankton","Terrestrial OM"),labels=c("MPB","Phyt","Ter OM")) +
  scale_y_log10(limits = c(1,1e4)) + 
  geom_vline(xintercept = 3.5, linetype="dotted", 
             color = "gray48", size=0.6)+
  ylab(expression(paste("Grazing pressure (mg C m"^"-2"," d"^"-1",")"))) +
  theme(axis.text=element_text(size=11,face="bold"),
        axis.title.x=element_text(size=11),axis.title.y=element_text(size=11))+theme(legend.text=element_text(size=11))+theme(legend.title=element_text(size=11,face="bold"))+
  
  annotation_custom(grob_oos) + 
  annotation_custom(grob_wes)+
  theme(plot.margin=unit(c(0.5,0,1,0),"cm"))

grid.text((paste("             +                            Salinity                          -")),
          x = unit(.42, "npc"), y = unit(.08, "npc"), just = c("bottom"), 
          gp = gpar(fontsize = 11, col = "black"))




#plot_grid(plot_EAS_title, plot_WES_title, align = "v", nrow = 2)

dev.off()


 
