#Plot MPB productie tegen graasdruk

#Data MPB productie
load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/grazing_production_data_paperV4/production_with_PAR_submersed.RData")

#Data graasdruk

#load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_mpb_new_coef_V7.RData")
load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_mpb_new_coef_V8.RData")

#match MPB production plots to grazing data

#grazing
#couple fid of grazing plot to plot name (production plot)
match_plots <- read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Match_grazing_plots_to_chla_plots/matching_plots_to_RWS_grazing.csv")
#get fid of grazing plots
fid_coords <- read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Match_grazing_plots_to_chla_plots/unique_coords_with_FID.txt")

fid_coords$grazing_point_FID <- seq(0,38,1)
#couple fid and production plot names
fid_uni_coords <- merge(match_plots,fid_coords,by="grazing_point_FID")
#make unique coordinate-based code
alldata_grazing_mpb_geb$unique_coo <- paste(alldata_grazing_mpb_geb$RD_X,alldata_grazing_mpb_geb$RD_Y)
#add fid and production plot name to grazing dataset
alldata_grazing_mpb_geb_plot <- merge(alldata_grazing_mpb_geb,fid_uni_coords,by="unique_coo")

alldata_grazing_mpb_geb_plot <- alldata_grazing_mpb_geb_plot[!is.na(alldata_grazing_mpb_geb_plot$plot_name),]

#save(alldata_grazing_mpb_geb_plot,file="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/grazing_data_matched_mpb_production_plots.RData")

require(doBy)
alldata_grazing_mpb_geb_plot$Voedseltype_vfeb2015<- as.character(alldata_grazing_mpb_geb_plot$Voedseltype_vfeb2015)
alldata_grazing_mpb_geb_plot$Voedseltype_vfeb2015[which(alldata_grazing_mpb_geb_plot$genus == "Arenicola")] <- "Deposit feeder"

grazing_mpb_recid_feedingtype <- summaryBy(respiration ~ REC_ID +Site.y+ elevation.y +estuary +Voedseltype_vfeb2015 +plot_name , data = alldata_grazing_mpb_geb_plot,
                               FUN = c(sum) )

grazing_mpb_plot_feedingtype <- summaryBy(respiration.sum ~ plot_name +Site.y + elevation.y +estuary +Voedseltype_vfeb2015, data = grazing_mpb_recid_feedingtype,
                              FUN = c(mean) )

grazing_mpb_recid_no_feedingtype <- summaryBy(respiration ~ REC_ID +Site.y+ elevation.y +estuary  +plot_name , data = alldata_grazing_mpb_geb_plot,
                                              FUN = c(sum) )

grazing_mpb_plot_no_feedingtype <- summaryBy(respiration.sum ~ plot_name +Site.y + elevation.y +estuary , data = grazing_mpb_recid_no_feedingtype,
                                          FUN = c(mean) )



diet_mpb_recid_no_feedingtype <- summaryBy(Diet_coef_mpb ~ REC_ID +Site.y+ elevation.y +estuary  +plot_name , data = alldata_grazing_mpb_geb_plot,
                                              FUN = c(mean) )


plot(diet_mpb_recid_no_feedingtype$Diet_coef_mpb.mean,grazing_mpb_recid_no_feedingtype$respiration.sum)


####################### TEST ##################################################

grazing_mpb_recid_no_feedingtype_TEST <- summaryBy(respiration ~ REC_ID +Site.y, data = alldata_grazing_mpb_geb_plot,
                                              FUN = c(sum) )
mean(grazing_mpb_recid_no_feedingtype_TEST$respiration.sum)

grazing_mpb_plot_no_feedingtype <- summaryBy(respiration.sum ~ plot_name +Site.y + elevation.y +estuary +Voedseltype_vfeb2015, data = grazing_mpb_recid_no_feedingtype,
                                             FUN = c(mean) )





##################################################################################

mean(grazing_mpb_plot_no_feedingtype$respiration.sum.mean)
sd(grazing_mpb_plot_no_feedingtype$respiration.sum.mean)

colnames(grazing_mpb_plot_feedingtype)[1] <- "plot"
colnames(grazing_mpb_plot_no_feedingtype)[1] <- "plot"

#MPB production
EP_pars0304_sort_OOS$production <- P_pixels_OOS
EP_pars0304_sort_WES$production <- P_pixels_WES

EP_pars0304_sort_OOS$production_day <-  ((EP_pars0304_sort_OOS$production/6)/744)*24
EP_pars0304_sort_WES$production_day <-  ((EP_pars0304_sort_WES$production/6)/744)*24

EP_pars0304_sort_OOS$site <- substr(EP_pars0304_sort_OOS$Customer_Code,1,2)
EP_pars0304_sort_WES$site <- substr(EP_pars0304_sort_WES$Customer_Code,1,2)

production_ooswes <- rbind(EP_pars0304_sort_OOS,EP_pars0304_sort_WES)
production_ooswes$site <- substr(production_ooswes$Customer_Code,1,2)

production_ooswes$plot <- substr(production_ooswes$Customer_Code,1,3)

production_ooswes <- production_ooswes[!is.na(production_ooswes$production_day),]

class(production_ooswes$production_day)
production_ooswes$production_day <- as.numeric(production_ooswes$production_day)

production_mpb_plot <- summaryBy(production_day ~ plot , data = production_ooswes,
                              FUN = c(mean,sd) )

#merge
colnames(grazing_mpb_plot_feedingtype)[1] <- "plot"
colnames(grazing_mpb_plot_no_feedingtype)[1] <- "plot"
prod_grazing_feedingtype <- merge(production_mpb_plot,grazing_mpb_plot_feedingtype,by="plot")

prod_grazing_no_feedingtype <- merge(production_mpb_plot,grazing_mpb_plot_no_feedingtype,by="plot")

prod_grazing_feedingtype$Voedseltype_vfeb2015[which(prod_grazing_feedingtype$Voedseltype_vfeb2015 == "deposit feeder")] <- "Deposit feeder"
prod_grazing_feedingtype$Voedseltype_vfeb2015[which(prod_grazing_feedingtype$Voedseltype_vfeb2015 == "suspension feeder")] <- "Suspension feeder"
prod_grazing_feedingtype$Voedseltype_vfeb2015[which(prod_grazing_feedingtype$Voedseltype_vfeb2015 == "surface deposit feeder")] <- "Surface dep feeder"
prod_grazing_feedingtype$Voedseltype_vfeb2015[which(prod_grazing_feedingtype$Voedseltype_vfeb2015 == "omnivorous")] <- "Omnivorous"
prod_grazing_feedingtype$Voedseltype_vfeb2015[which(prod_grazing_feedingtype$Voedseltype_vfeb2015 == "carnivorous")] <- "Carnivorous"



colnames(prod_grazing_feedingtype)[7] <- "Feeding_type"

#prod_grazing_feedingtype <- prod_grazing_feedingtype[-101,] verwijder datapunt zonder feeding type (graasdrukwaarde 0)



#GET STATS ############################################################

t.test(prod_grazing$production_day.mean,prod_grazing$respiration.sum)

boxplot(prod_grazing$production_day.mean,prod_grazing$respiration.sum)

prod_grazing_no_feedingtype_eas <- prod_grazing_no_feedingtype[prod_grazing_no_feedingtype$estuary == "OOS",]
prod_grazing_no_feedingtype_wes <- prod_grazing_no_feedingtype[prod_grazing_no_feedingtype$estuary == "WES",]


fit_oos <- lm(respiration.sum.mean ~production_day.mean,prod_grazing_no_feedingtype_eas)
summary(fit_oos)
prod_grazing_no_feedingtype_wes2 <- prod_grazing_no_feedingtype_wes[-10,]
fit_wes <- lm(respiration.sum.mean ~production_day.mean,prod_grazing_no_feedingtype_wes)
summary(fit_wes)

hist(prod_grazing_no_feedingtype_eas$production_day.mean)
hist(prod_grazing_no_feedingtype_eas$respiration.sum.mean)

mean(prod_grazing_no_feedingtype_eas$production_day.mean)
mean(prod_grazing_no_feedingtype_wes$production_day.mean)

median(prod_grazing_no_feedingtype_eas$respiration.sum.mean)
median(prod_grazing_no_feedingtype_wes$respiration.sum.mean)



#######################################################################
prod_grazing_no_feedingtype$prod_graz_ratio <- prod_grazing_no_feedingtype$respiration.sum/prod_grazing_no_feedingtype$production_day.mean

require(ggplot2)

#PLOT WITH FEEDING TYPE
colnames(prod_grazing_feedingtype)[7] <- "Feeding_type"

prod_grazing_feedingtype <- prod_grazing_feedingtype[-101,]#remove species without feeding type

prod_grazing_feedingtype$Feeding_type <- as.character(prod_grazing_feedingtype$Feeding_type)
substr(prod_grazing_feedingtype$Feeding_type,1,1) <- toupper(substr(prod_grazing_feedingtype$Feeding_type,1,1))


tiff("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Figures/High_quality_figures/fig8c_production_grazing_ggplot_feedingtype.tiff", width = 5, height = 5, units = 'in', res = 300)


p <- ggplot(data=prod_grazing_feedingtype,aes(x=production_day.mean,y=respiration.sum.mean))

p + geom_point(aes(colour=Feeding_type,shape=Feeding_type))+  
  
  
  ylab(expression(paste("Grazing pressure (mg C m"^"-2"," d"^"-1",")"))) +
  xlab(expression(paste("MPB production (mg C m"^"-2"," d"^"-1",")")))+  geom_abline(intercept=0, slope=1)+
 theme(panel.background = element_blank())+ theme(axis.line = element_line(colour = "black")) + theme(aspect.ratio=1)+

 

theme(axis.text=element_text(size=11,face="bold"),
      axis.title.x=element_text(size=11),axis.title.y=element_text(size=11))+theme(legend.title=element_text(size=11,face="bold"))

dev.off()

#CLOSE UP FIGURE

#colnames(prod_grazing_feedingtype)[7] <- "Feeding_type"
#legend_title <- "Feeding type"
#tiff("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Figures/High_quality_figures/production_grazing_ggplot_feedingtype_factor_ZOOM_IN_V7.tiff", width = 5, height = 5, units = 'in', res = 300)


#p <- ggplot(data=prod_grazing_feedingtype,aes(x=production_day.mean,y=respiration.sum.mean))

#p + geom_point(aes(colour=Feeding_type,shape=Feeding_type))+
  
  
 # ylab(expression(paste("grazing pressure (mg C m"^"-2"," d"^"-1",")"))) +
  #xlab(expression(paste("MPB production (mg C m"^"-2"," d"^"-1",")")))+  geom_abline(intercept=0, slope=1)+ 
#  theme(panel.background = element_blank())+ theme(axis.line = element_line(colour = "black")) + theme(legend.key = element_rect(fill = "white"))+ theme(aspect.ratio=1)+
  
  
 # coord_cartesian(xlim = c(0, 700),ylim = c(0,700)) +
  # geom_abline(intercept = -29.22, slope = 0.2825,linetype="dotted")+
  #geom_text(x = 610, y = 420, label = as.character(expression(paste("R"^"2"," = 0.49"))), parse = TRUE, 
   #          size=3)+
  #geom_text(x = 610, y = 370, label = as.character(expression(paste("p = 0.005"))), parse = TRUE, 
   #          size=3)+

  #theme(axis.text=element_text(size=8,face="bold"),
   #     axis.title.x=element_text(size=10),axis.title.y=element_text(size=10))+theme(legend.text=element_text(size=10))+theme(legend.title=element_text(size=10))

#dev.off()
  


carnivorous <- prod_grazing_feedingtype[prod_grazing_feedingtype$Feeding_type == "Carnivorous",]
deposit<- prod_grazing_feedingtype[prod_grazing_feedingtype$Feeding_type == "Deposit feeder",]
omnivorous<- prod_grazing_feedingtype[prod_grazing_feedingtype$Feeding_type == "Omnivorous",]
surfacedep<- prod_grazing_feedingtype[prod_grazing_feedingtype$Feeding_type == "Surface dep feeder",]
suspension<- prod_grazing_feedingtype[prod_grazing_feedingtype$Feeding_type == "Suspension feeder",]


fit_carnivorous <- lm(respiration.sum.mean ~production_day.mean,carnivorous)
summary(fit_carnivorous)


fit_deposit <- lm(respiration.sum.mean ~production_day.mean,deposit)
summary(fit_deposit)

#omnivorous2 <- omnivorous[-8,]
fit_omnivorous <- lm(respiration.sum.mean ~production_day.mean,omnivorous)
summary(fit_omnivorous)

plot(omnivorous2$production_day.mean,omnivorous2$respiration.sum.mean)


fit_surfacedep <- lm(respiration.sum.mean ~production_day.mean,surfacedep)
summary(fit_surfacedep)


fit_suspension <- lm(respiration.sum.mean ~production_day.mean,suspension)
summary(fit_suspension)

plot(surfacedep2$production_day.mean,surfacedep2$respiration.sum.mean)

cor.test(surfacedep2$production_day.mean,surfacedep2$respiration.sum.mean)


#test correlation per estuary

carnivorous_wes <- carnivorous[which(carnivorous$estuary == "WES"),]
deposit_wes <- deposit[which(deposit$estuary == "WES"),]
omnivorous_wes <- omnivorous[which(omnivorous$estuary == "WES"),]
surfacedep_wes <- surfacedep[which(surfacedep$estuary == "WES"),]
suspension_wes <- suspension[which(suspension$estuary == "WES"),]

fit_carnivorous_wes <- lm(respiration.sum.mean ~production_day.mean,carnivorous_wes)
summary(fit_carnivorous_wes)

fit_depositwes <- lm(respiration.sum.mean ~production_day.mean,deposit_wes)
summary(fit_depositwes)

#omnivorous2 <- omnivorous[-8,]
fit_omnivorouswes <- lm(respiration.sum.mean ~production_day.mean,omnivorous_wes)
summary(fit_omnivorouswes)

fit_surfacedep_wes <- lm(respiration.sum.mean ~production_day.mean,surfacedep_wes)
summary(fit_surfacedep_wes)

fit_suspensionwes <- lm(respiration.sum.mean ~production_day.mean,suspension_wes)
summary(fit_suspensionwes)

carnivorous_oos <- carnivorous[which(carnivorous$estuary == "OOS"),]
deposit_oos <- deposit[which(deposit$estuary == "OOS"),]
omnivorous_oos <- omnivorous[which(omnivorous$estuary == "OOS"),]
surfacedep_oos <- surfacedep[which(surfacedep$estuary == "OOS"),]
suspension_oos <- suspension[which(suspension$estuary == "OOS"),]

fit_carnivorous_oos <- lm(respiration.sum.mean ~production_day.mean,carnivorous_oos)
summary(fit_carnivorous_oos)

fit_deposit_oos<- lm(respiration.sum.mean ~production_day.mean,deposit_oos)
summary(fit_deposit_oos)

#omnivorous2 <- omnivorous[-8,]
fit_omnivorous_oos <- lm(respiration.sum.mean ~production_day.mean,omnivorous_oos)
summary(fit_omnivorous_oos)

fit_surfacedep_oos <- lm(respiration.sum.mean ~production_day.mean,surfacedep_oos)
summary(fit_surfacedep_oos)

fit_suspension_oos <- lm(respiration.sum.mean ~production_day.mean,suspension_oos)
summary(fit_suspension_oos)

plot(carnivorous_oos$production_day.mean,carnivorous_oos$respiration.sum.mean)




#PLOT WITH ESTUARY AS FACTOR

tiff("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Figures/High_quality_figures/fig8a_production_grazing_ggplot_estuary.tiff", width = 1.6, height = 1.6, units = 'in', res = 300)

colnames(prod_grazing_no_feedingtype)[6] <- "Estuary"


p <- ggplot(data=prod_grazing_no_feedingtype,aes(x=production_day.mean,y=respiration.sum.mean))

p + geom_point(size=3,aes(colour=Estuary,shape=Estuary))+ coord_fixed()+
   scale_shape_manual(values=c(15,16))+
  
  ylab(expression(paste("Grazing pressure (mg C m"^"-2"," d"^"-1",")"))) +
  xlab(expression(paste("MPB production (mg C m"^"-2"," d"^"-1",")")))+  geom_abline(intercept=0, slope=1)+
   theme(panel.background = element_blank())+ theme(axis.line = element_line(colour = "black")) + theme(legend.key = element_rect(fill = "white"))+ theme(aspect.ratio=1)+
  
  scale_x_continuous(breaks = scales::pretty_breaks(n = 10))+
scale_y_continuous(breaks = scales::pretty_breaks(n = 10))+
  
  theme(axis.text=element_text(size=8,face="bold"),
        axis.title.x=element_text(size=10),axis.title.y=element_text(size=10))+theme(legend.text=element_text(size=10))+theme(legend.title=element_text(size=10))

dev.off()




#PLOT WITH site AS FACTOR

tiff("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Figures/High_quality_figures/production_grazing_ggplot_site_factor_V8.tiff", width = 5, height = 5, units = 'in', res = 1200)


prod_grazing_no_feedingtype$Site <- substr(prod_grazing_no_feedingtype$plot,1,2)

p <- ggplot(data=prod_grazing_no_feedingtype,aes(x=production_day.mean,y=respiration.sum.mean,fill=Site))

p + geom_point(size=3,aes(colour=Site,shape=Site))+
  scale_shape_manual(values=c(15,16,17,3,4,13,8)) + geom_abline(intercept=0, slope=1)+
  
  
  ylab(expression(paste("Grazing pressure (mg C m"^"-2"," d"^"-1",")"))) +
  xlab(expression(paste("MPB production (mg C m"^"-2"," d"^"-1",")")))+ theme(panel.background = element_blank())+ theme(axis.line = element_line(colour = "black")) + theme(legend.key = element_rect(fill = "white"))+ theme(aspect.ratio=1)+
  
theme(axis.text=element_text(size=8,face="bold"),
      axis.title.x=element_text(size=10),axis.title.y=element_text(size=10))+theme(legend.text=element_text(size=10))+theme(legend.title=element_text(size=10))
  
  # v scale_x_continuous(breaks = scales::pretty_breaks(n = 10))+
 # scale_y_continuous(breaks = scales::pretty_breaks(n = 10))

dev.off()

mean(prod_grazing_no_feedingtype$respiration.sum.mean)
sd(prod_grazing_no_feedingtype$respiration.sum.mean)

hist(prod_grazing_no_feedingtype$respiration.sum.mean)



#ALL THREE FIGURES IN ONE FRAME

#FIGURE 8A

colnames(prod_grazing_no_feedingtype)[6] <- "Estuary"


plot1 <- ggplot(data=prod_grazing_no_feedingtype,aes(x=production_day.mean,y=respiration.sum.mean))

plot1_fin <- plot1 + geom_point(size=3,aes(colour=Estuary,shape=Estuary))+ coord_fixed()+
  scale_shape_manual(values=c(15,16))+
  
  ylab("") +
  xlab("")+  geom_abline(intercept=0, slope=1)+
  theme(panel.background = element_blank())+ theme(axis.line = element_line(colour = "black")) + theme(legend.key = element_rect(fill = "white"))+ theme(aspect.ratio=1)+
  
  #scale_x_continuous(breaks = scales::pretty_breaks(n = 10))+
  #scale_y_continuous(breaks = scales::pretty_breaks(n = 10))+
  
  theme(axis.text=element_text(size=11,face="bold"),
        axis.title.x=element_text(size=11),axis.title.y=element_text(size=11))+theme(legend.text=element_text(size=11))+theme(legend.title=element_text(size=11,face="bold"))


#FIGURE 8b

prod_grazing_no_feedingtype$Site <- substr(prod_grazing_no_feedingtype$plot,1,2)

plot2 <- ggplot(data=prod_grazing_no_feedingtype,aes(x=production_day.mean,y=respiration.sum.mean,fill=Site))

plot2_fin <- plot2 + geom_point(size=3,aes(colour=Site,shape=Site))+
  scale_shape_manual(values=c(15,16,17,3,4,13,8)) + geom_abline(intercept=0, slope=1)+
  
  
  ylab(expression(paste("Grazing pressure (mg C m"^"-2"," d"^"-1",")"))) +
  xlab("")+ theme(panel.background = element_blank())+ theme(axis.line = element_line(colour = "black")) + theme(legend.key = element_rect(fill = "white"))+ theme(aspect.ratio=1)+
  
  theme(axis.text=element_text(size=11,face="bold"),
        axis.title.x=element_text(size=11),axis.title.y=element_text(size=11))+theme(legend.text=element_text(size=11))+theme(legend.title=element_text(size=11,face="bold"))


#FIGURE 8C

plot3 <- ggplot(data=prod_grazing_feedingtype,aes(x=production_day.mean,y=respiration.sum.mean))

plot3_fin <- plot3 + geom_point(aes(colour=Feeding_type,shape=Feeding_type))+  
  
  
  ylab("") +
  xlab(expression(paste("MPB production (mg C m"^"-2"," d"^"-1",")")))+  geom_abline(intercept=0, slope=1)+
  theme(panel.background = element_blank())+ theme(axis.line = element_line(colour = "black")) + theme(aspect.ratio=1)+
  
  
  
  theme(axis.text=element_text(size=11,face="bold"),
        axis.title.x=element_text(size=11),axis.title.y=element_text(size=11))+theme(legend.title=element_text(size=11,face="bold"))

tiff("//zeus/eds/users/tisjad/Grazing_campaign_2015/Figures/Figures_L&O/fig8_production_grazing.tiff", width = 5, height = 8, units = 'in', res = 300)


plot_grid(plot1_fin, plot2_fin, plot3_fin,labels=c('a', 'b', 'c'),label_size=12,label_fontface= "plain",align = "v", nrow = 3)

dev.off()

