#CALCULATE DIET FOR HIGH VERSUS LOW PLOTS - TAKE TWO ADJACENT SITES TO OBTAIN AT LEAST THREE BENTHOS SAMPLES FOR EACH SPECIES

require(MixSIAR)

setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/molenplaat_high")

#Molenplaat
#HIGH
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_molenplaat_hoog.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_molenplaat_hoog.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_westerschelde.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())

setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/molenplaat_low")

#LOW 
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_molenplaat_laag.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_molenplaat_laag.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_westerschelde.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())

#Hellegat
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/hellegat_high")
#HIGH
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_hellegat_hoog.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_hellegat_hoog.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_westerschelde.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/hellegat_low")
#LOW
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_hellegat_laag.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_hellegat_laag.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_westerschelde.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())

#Waarde
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/waarde_high")
#high
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_waarde_hoog.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_waarde_hoog.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_westerschelde.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,pro cess_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())

setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/waarde_low")

#low
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_waarde_laag.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_waarde_laag.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_westerschelde.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())

#Rilland
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/rilland_high")
#high
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_rilland_hoog.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_rilland_hoog.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_westerschelde.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())

setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/rilland_low")

#low
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_rilland_laag.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_rilland_laag.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_westerschelde.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())

#Middelplaat
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/middelplaat_high")
#high
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_middelplaat_hoog.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_middelplaat_hoog.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_westerschelde.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())


setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/middelplaat_low")

#low
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_middelplaat_laag.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_middelplaat_laag.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_westerschelde.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())
#Paulina
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/paulina_high")
#high
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_paulina_hoog.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_paulina_hoog.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_westerschelde.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/paulina_low")

#low
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_paulina_laag.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_paulina_laag.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_westerschelde.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())
#Dortsman
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/dortsman_high")
#high
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_dortsman_hoog.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_dortsman_hoog_without_ulva.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_oosterschelde_without_ulva.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/dortsman_low")

#low
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_dortsman_laag.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_dortsman_laag_without_ulva.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_oosterschelde_without_ulva.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())
#Rattekaai
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/rattenkaai_high")
#high
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_rattekaai_hoog.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_rattekaai_hoog_without_ulva.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_oosterschelde_without_ulva.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/rattenkaai_low")

#low
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_rattekaai_laag.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_rattekaai_laag_without_ulva.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_oosterschelde_without_ulva.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())
#Viane
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/viane_high")
#high
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_viane_hoog.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_viane_hoog_without_ulva.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_oosterschelde_without_ulva.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_nomacroalgae_d15Nfractionation_3PLFAmarkers/viane_low")

#low
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/benthos_viane_laag.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/input_files_MPB_3PLFA_markers/sourcesd13C_viane_laag_without_ulva.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/input_files_with_d15N/discrimination_oosterschelde_without_ulva.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)
graphics.off()
rm(list = ls())